#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 17. Networking Libraries

- Prev

  libnl-3.12.0

- Next

  libnsl-2.0.1

- Up
- Home

# libnma-1.10.6

## Introduction to libnma

The libnma package contains an implementation of the NetworkManager GUI functions.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libnma/1.10/libnma-1.10.6.tar.xz

- Download MD5 sum: 71c7ce674fea1fae8f1368a7fcb6ff43

- Download size: 688 KB

- Estimated disk space required: 15 MB

- Estimated build time: 0.1 SBU (Using parallelism=4; with test)

### libnma Dependencies

#### Required

Gcr-3.41.2, GTK-3.24.52, ISO Codes-4.20.1, and NetworkManager-1.56.0

#### Recommended

GTK-4.22.4 and Vala-0.56.19

#### Optional

mobile-broadband-provider-info

## Installation of libnma

Install libnma by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D gtk_doc=false    \
          -D libnma_gtk4=true \
          -D mobile_broadband_provider_info=false &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=false`: This parameter disables generating API documentation using gtk-doc. If you have GTK-Doc-1.36.1 installed and wish to generate the API documentation, omit this switch.

`-D libnma_gtk4=true`: This parameter builds the GTK-4 version of libnma. It is needed by gnome-control-center-50.1.

`-D mobile_broadband_provider_info=false`: This switch disables WWAN support because mobile-broadband-provider-info is not in BLFS. Omit this switch if you have it installed and wish to enable WWAN support.

## Contents

Installed Programs: None
Installed Libraries: libnma.so and libnma-gtk4.so
Installed Directories: /usr/include/libnma

### Short Descriptions

`libnma.so` | contains the NetworkManager GUI library
`libnma-gtk4.so` | contains the GTK-4 version of the NetworkManager GUI library

- Prev

  libnl-3.12.0

- Next

  libnsl-2.0.1

- Up
- Home